QGIS Application - Bug report #16893
Processing batch process interface: no way to go back
2017-07-20 07:41 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/GUI

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24792
Description

The button "Run as batch process" in 2.18 opens a new popup, whereas in 3 changes the current one. New arrangement is IMHO nicer,
but there is apparently no way of going back to non batch interface.
| think a "non-batch" button should be added for this purpose.

Associated revisions

Revision e8a74f45 - 2019-05-24 12:51 AM - Alexander Bruy

[processing][needs-docs] allow to switch from batch dialog to single Ul
(fix #16893)

History

#1 - 2017-07-20 11:27 AM - Giovanni Manghi
- Priority changed from Low to Normal

#2 - 2018-02-24 03:22 PM - Paolo Cavallini

- Assignee deleted (Victor Olaya)
- Affected QGIS version changed from master to 3.0.0

Still true in QGIS 3

#3 - 2019-01-30 06:21 PM - Alexander Bruy

This makes no sense as batch dialog contains multiple sets of parameters and all of them except one will be lost when returning to the normal algorithm

dialog.

#4 - 2019-01-30 06:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2019-02-01 09:16 AM - Paolo Cavallini

- Status changed from Feedback to Open

Even if missing the configs, | think it is more practical for the user to go back to the non batch interface instead of closing the alg and reopening.
#6 - 2019-03-09 03:12 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

#7 - 2019-03-09 03:33 PM - Paolo Cavallini

- Status changed from Closed to Reopened

- Resolution deleted (end of life)

- Affected QGIS version changed from 3.0.0 to 3.6.0

Incorrectly closed.

#8 - 2019-03-09 03:38 PM - Giovanni Manghi

- Status changed from Reopened to Open

#9 - 2019-05-23 01:55 PM - Alexander Bruy

- Status changed from Open to In Progress

- Assignee set to Alexander Bruy
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/10080

#10 - 2019-05-24 12:51 AM - Alexander Bruy
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|e8a74f453790d6bffdcfObfb11b0009f54af569e.

#11 - 2019-05-24 07:54 AM - Paolo Cavallini

Thank you Alex!
